commit 84c2d4c72417bb27a77bcf57072607ebccd1e5e9
Author: Benjamin Wu <bwu25@cs.washington.edu>
Date:   Sun Jul 13 18:25:02 2025

    middle-end: Fix typo in gimple.h
    
    gcc/ChangeLog:
    
            * gimple.h (GTMA_DOES_GO_IRREVOCABLE): Fix typo.
    
    (cherry picked from commit 356250630abd876ae592bc3d2b4cc171bc834b79)

diff --git a/gcc/gimple.h b/gcc/gimple.h
index 112e5ae472d..bd1ab346f34 100644
--- a/gcc/gimple.h
+++ b/gcc/gimple.h
@@ -865,7 +865,7 @@ struct GTY((tag("GSS_ASSUME")))
    tell the runtime that it should begin the transaction in
    serial-irrevocable mode.  */
 #define GTMA_DOES_GO_IRREVOCABLE	(1u << 6)
-/* The transaction contains no instrumentation code whatsover, most
+/* The transaction contains no instrumentation code whatsoever, most
    likely because it is guaranteed to go irrevocable upon entry.  */
 #define GTMA_HAS_NO_INSTRUMENTATION	(1u << 7)
 

